
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Green
#property indicator_levelcolor Red
#property indicator_levelstyle STYLE_SOLID
#property indicator_level1 8
#property indicator_level2 -8
#property indicator_minimum -20
#property indicator_maximum 20


#include <WinUser32.mqh>
extern int SignalLevel1 = +8;
extern int SignalLevel2 = -8;

extern string Sound1 = "alert.wav";
extern string Sound2 = "alert.wav";

//---- buffers
double IND[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorShortName("Separation");
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,IND);
//----

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
     int limit;
     int counted_bars=IndicatorCounted();
     if(counted_bars<0) return(-1);
     if(counted_bars>0) counted_bars-=10;
     limit=Bars-counted_bars;

     int Price=0;
     int Mode=1;
     int ShortPeriod=10;
     int LongPeriod=26;

     for(int i=0; i<limit; i++)
       {
        IND[i]=(iMA(NULL,0,ShortPeriod,0,Mode,Price,i)-iMA(NULL,0,LongPeriod,0,Mode,Price,i))*1/Point;
       }
  //----
  
    if(IND[i] > SignalLevel1 >= SignalLevel1) {
      PlaySound(Sound1);  
      Alert(Symbol(), " M", Period(), " Separation is at +8! ", SignalLevel1);
   }
   else if(IND[i] < SignalLevel2 <= SignalLevel2) {
      PlaySound(Sound2);
      Alert(Symbol(), " M", Period(), " Separation is at -8! ", SignalLevel2);
  }
    return(0);
  }
//+------------------------------------------------------------------+